/******************************************************************************
 * MODULE     : rohm_bh1780_i2c_if.h
 * FUNCTION   : BH1780 interface header of Ambient Light Sensor(ALS) IC
 * PROGRAMMED : Sensor Application Development Group, ROHM CO.,LTD.
 * AUTHOR     : Masafumi Seike <masafumi.seike@dsn.rohm.co.jp >
 * REMARKS    :
 * COPYRIGHT  : Copyright (C) 2011 - 2012 ROHM CO.,LTD.
 *****************************************************************************/
#ifndef _ROHM_BH1780_I2C_IF_H_
#define _ROHM_BH1780_I2C_IF_H_

/************ definition to dependent on sensor IC ************/
#define BH1780_I2C_NAME           "bh1780_i2c"
#define BH1780_I2C_ADDRESS        (0x29) //7 bits slave address 010 1001

/************ command definition of ioctl ************/
#define IOCTL_APP_SET_TIMER       (10)
#define IOCTL_APP_SET_PWRSET_ALS  (11)
#define IOCTL_APP_SET_GENERAL     (253)
#define IOCTL_APP_READ_GENERAL    (254)
#define IOCTL_APP_READ_DRIVER_VER (255)

/************ define register for IC ************/
/* BH1780 REGISTER */
#define REG_ALSCONTROL            (0x80)
#define REG_PARTID                (0x8A)
#define REG_MANUFACTID            (0x8B)
#define REG_ALSDATA               (0x8C)
    #define REG_ALSDATA_L             (0x8C)
    #define REG_ALSDATA_H             (0x8D)

/* for power_on and interrupt */
#define ALS_DISABLE               (0)
#define ALS_ENABLE                (1)

/* structure to read register value from sensor */
typedef struct {
    unsigned char adr_reg; /* start register value */
    unsigned char *addr;   /* address to save value which read from sensor */
    unsigned char size;    /* length to read */
} GENREAD_ARG;

#endif /* _ROHM_BH1780_I2C_IF_H_ */

